#
# spec file for package yast2-slp-server
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yast2-slp-server
Version:        4.0.0
Release:        lp150.1.1

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  update-desktop-files
BuildRequires:  yast2
BuildRequires:  yast2-devtools >= 3.1.10
BuildRequires:  yast2-testsuite

# network needs Wizard::OpenCancelOKDialog()
#  function from yast2-2.18.2
# Wizard::SetDesktopTitleAndIcon
Requires:       yast2 >= 2.21.22

BuildArch:      noarch

Requires:       yast2-ruby-bindings >= 1.0.0

Summary:        YaST2 SLP Daemon Server Configuration
License:        GPL-2.0+
Group:          System/YaST

%description
This package contains the YaST2 component for the configuration of an
SLP daemon.

%prep
%setup -n %{name}-%{version}

%build
%yast_build

%install
%yast_install

%files
%defattr(-,root,root)
%dir %{yast_yncludedir}/slp-server
%{yast_yncludedir}/slp-server/*
%{yast_clientdir}/slp-server.rb
%{yast_clientdir}/slp-server_*.rb
%{yast_moduledir}/SlpServer.*
%{yast_desktopdir}/slp-server.desktop
%{yast_scrconfdir}/slp*.scr
%doc %{yast_docdir}

%changelog
* Fri Apr  6 2018 mfilka@suse.com
- bnc#1087957 - version bump
- 4.0.0
* Tue Jun  7 2016 igonzalezsosa@suse.com
- Stop generating autodocs (fate#320356)
- 3.1.5
* Fri Nov 13 2015 igonzalezsosa@suse.com
- Fix handling of broken options due to bsc#878892
  (bsc#954494)
- 3.1.4
* Wed Jul 29 2015 igonzalezsosa@suse.com
- Fix comments handling on slp.conf (bsc#878892)
- 3.1.3
* Thu Dec  4 2014 jreidinger@suse.com
- remove X-KDE-Library from desktop file (bnc#899104)
- 3.1.2
* Thu Nov 14 2013 vmoravec@suse.com
- fix incorrect firewall service bnc#825505
- 3.1.1
* Thu Sep 19 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Wed Jul 31 2013 yast-devel@opensuse.org
- converted from YCP to Ruby by YCP Killer
  (https://github.com/yast/ycp-killer)
- version 3.0.0
* Wed Jul  3 2013 lslezak@suse.cz
- Removed useless BuildRequires: docbook-xsl-stylesheets doxygen
  libxslt perl-XML-Writer popt-devel sgml-skel yast2-perl-bindings
  yast2-packagemanager-devel
- 2.24.0
* Tue Sep 27 2011 visnov@suse.cz
- set dialog title
- 2.21.1
* Fri Sep 16 2011 visnov@suse.de
- remove unneded dialogs and deprecated import
- 2.21.0
* Fri Aug  5 2011 tgoettlicher@suse.de
- fixed .desktop file (bnc #681249)
* Fri Jul  1 2011 mvidner@suse.cz
- Proofread texts for translation (by A.Turrini, bnc#703238).
* Tue Jun 21 2011 jreidinger@suse.cz
- use ButtonBox for OK/Cancel (bnc#701262)
* Tue Nov  9 2010 mzugec@suse.cz
- improved fix for bnc#291301 (write also values that wasn't readed)
- 2.20.0
* Mon Jun 28 2010 mzugec@suse.cz
- parse config file case sensitive
- 2.19.0
* Wed Jan 13 2010 kmachalkova@suse.cz
- Adjusted .desktop file(s) to wrap /sbin/yast2/ calls in xdg-su
  where root privileges are needed, removed X-KDE-SubstituteUID key
  (bnc#540627)
* Thu May 21 2009 mzugec@suse.cz
- accept both IP and hostname in configuration (bnc#501941)
- 2.18.1
* Mon Jan 26 2009 mzugec@suse.cz
- button labeling (bnc#440537)
- 2.18.0
* Mon Dec 15 2008 mzugec@suse.cz
- allow more than one DA IP address(bnc#430336)
- 2.17.2
* Mon Sep 29 2008 mzugec@suse.de
- fixed menu category for gnome (bnc#429429)
- 2.17.1
* Mon Jul 21 2008 mzugec@suse.cz
- use correct cases for configuration options (bnc#291301)
- 2.17.0
* Fri May 16 2008 jsrain@suse.cz
- added categories Settings and System into desktop file
  (bnc #382778)
* Thu Apr 24 2008 mzugec@suse.cz
- fixed SCR agent for slp.reg.d/* files (bnc#374310)
- 2.16.2
* Mon Mar 17 2008 jsrain@suse.cz
- added 'StartupNotify=true' to the desktop file (bnc #304964)
- 2.16.1
* Tue Feb 26 2008 mzugec@suse.de
- check if network is running
- 2.16.0
* Mon Jul 16 2007 mzugec@suse.cz
- don't disable Scopes for "Becomes DA Server" option (#291307)
- don't use lowercase options in slp.conf (#291301)
- 2.15.0
* Tue Jun 12 2007 mzugec@suse.cz
- fixed server configuration handling (#257568)
- 2.14.2
* Tue Nov 21 2006 mzugec@suse.cz
- #219445 - slp-server with broken msgid
- 2.14.1
* Mon Oct 23 2006 mzugec@suse.cz
- #213878 - add description to desktop file
- 2.14.0
* Tue May  9 2006 mzugec@suse.cz
- fixed #173916 - add support for autoinstallation
* Thu May  4 2006 mzugec@suse.cz
- proofread
* Mon Apr 24 2006 mzugec@suse.cz
- testsuite
* Thu Mar 23 2006 mzugec@suse.cz
- fixed #160315 - check if user is root
* Tue Mar 21 2006 mzugec@suse.cz
- fixed #159653 - move package to net services group
* Fri Jan 20 2006 mzugec@suse.cz
- install packages
* Tue Jan  3 2006 mzugec@suse.cz
- functional version
* Thu Dec 22 2005 mzugec@suse.cz
- prepared to build
* Fri Dec 16 2005 mzugec@suse.cz
- initial version
